<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль: admin_forms.
 * 
 * Файл: /admin/admin_forms/admin_forms.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('admin_forms');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_admin_forms']['menu']);
}

$admin_forms = & singleton('admin_forms');

// Добавление/обновление формы.
if (isset($_REQUEST['add_admin_forms']) || isset($_REQUEST['save_admin_form']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/admin_forms/action/add_admin_forms.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_admin_forms']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_forms.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(1, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();

}

if (isset($_REQUEST['add_admin_language']) || isset($_REQUEST['save_admin_language']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/admin_forms/action/add_admin_language.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_admin_language']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_languages.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(93, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление поля формы.
if (isset($_REQUEST['add_admin_forms_field']) || isset($_REQUEST['save_admin_forms_field']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/admin_forms/action/add_admin_forms_field.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_admin_forms_field']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_form_fields.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(2, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}


// Добавление/обновление события формы.
if (isset($_REQUEST['add_admin_forms_event']) || isset($_REQUEST['save_admin_forms_event']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/admin_forms/action/add_admin_forms_event.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_admin_forms_event']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_form_events.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(4, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 1:
	default:
		{
			// Ajax загрузчик списка форм.
			include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_forms.php');
			$admin_forms->ProcessAjax(1);
			break;
		}
	case 2: 
		{
			// Ajax загрузчик списка полей формы.
			include(CMS_FOLDER . 'admin/admin_forms/action/load_admin_form_fields.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 4:
		{
			include(CMS_FOLDER.'admin/admin_forms/action/load_admin_form_events.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 93:
		{
			// Ajax загрузчик для списка языков Центра администрирования.
			include(CMS_FOLDER.'admin/admin_forms/action/load_admin_languages.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>